Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.addressing.util
Class DefaultFaultTo

    java.lang.Object
      org.jboss.soa.esb.addressing.util.DefaultFaultTo

    public class DefaultFaultTo

extends java.lang.Object

Provide some helper routines for common requirements.

Constructor Summary
`DefaultFaultTo()`

Method Summary
`static boolean` | `initialiseReply(Message message, Call callDetails)` Initialise the message as a reply to the specified call details.
`static boolean` | `initialiseReply(Message message, Call callDetails, boolean oneWay)` Initialise the message as a reply to the specified call details.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFaultTo

    public DefaultFaultTo()

Method Detail

### initialiseReply

    public static boolean initialiseReply(Message message,
                                          Call callDetails)

  Initialise the message as a reply to the specified call details.

  Parameters:
    `message` - The reply message.
    `callDetails` - The call details used to generate the reply.
  Returns:
    true if the message was initialised, false otherwise.

### initialiseReply

    public static boolean initialiseReply(Message message,
                                          Call callDetails,
                                          boolean oneWay)

  Initialise the message as a reply to the specified call details.

  Parameters:
    `message` - The reply message.
    `callDetails` - The call details used to generate the reply.
    `oneWay` - True if this is a one way invocation.
  Returns:
    true if the message was initialised, false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD